Subject: Re: FVWM: Problems with getting XPM/colored icons to work

From: Dan Espen <[email-masked]>
Date: Tue, 18 Apr 2000 15:14:00 -0400

"Scott Shipley" <[email-masked]> writes:
> > You should have seen  something like this at the  end of the configure
> > step:
> > 
> > Configuration:
> > 
> >   FVWM Version:                    2.3.16
> > 
> >   Have ReadLine support?           yes
> >   Have RPlay support?              no
> >   Have Stroke support?             no
> >   Have XPM support?                yes
> >                                    ^^^
> > 
> > If you see "yes", then you have successfully compiled in XPM support.
> 
> I did get the yes as indicated above. 
>  
> > Let us know what version of fvwm you are using.
> > If you've got compiled in support, send the parts of your 
> > .fvwm2rc where
> > you try to use the icons.  Depending on the release you are 
> > using, check
> > your PixmapPath, or ImagePath.
> 
> It's fvwm 2.2.4.
> 
> Should the PixmapPath be the same as the ImagePath? I have the 
> ImagePath=/usr/local/icons, which is where I put the icons.
> 
> If I need to supply you with nay more info, please let me know.

Hi,

We like these discussions to stay on the fvwm list so please
respond to "[email-masked]" instead of to the person that answers.

In 2.2.4, You should use "ImagePath" only.  The other 2 commands
"PixmapPath" and "IconPath" still work but they are obsolete.

You should not use an equal sign as you show above, the statement
should look like:

ImagePath /usr/local/icons:+

(Use the ":+" at the end to augment the builtin path.)

You can build in the correct path and completly remove the ImagePath
statement from your .fvwm2rc.  Do "./configure --help" to see how.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].